[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TOwnedCollection.Create

Create a new TOwnerCollection instance.

## Declaration

Source position: classesh.inc line 576

`public constructor TOwnedCollection.Create(`
`AOwner: TPersistent;`
`AItemClass: TCollectionItemClass`
`);`

## Description

Create creates a new instance of TOwnedCollection and stores the AOwner references. It will the value returned in the TCollection.Owner property of the collection. The ItemClass class reference is passed on to the inherited constructor, and will be used to create new instances in the Insert and Add methods.

## See also

TCollection.Create |  | Creates a new collection.
TCollection.Owner |  | Owner of the collection.